Module::CPANTS::Kwalitee::License(3pm)

NAME
Module::CPANTS::Kwalitee::License - Checks if there is a license

SYNOPSIS
Checks if the distribution specifies a license.

DESCRIPTION

  Methods
order

Defines the order in which Kwalitee tests should be run.

Returns 100.

analyse

"MCK::License" checks if there's a "license" field "META.yml". Additionally, it looks for a file called LICENSE and a POD section named LICENSE

kwalitee_indicators

Returns the Kwalitee Indicators data structure.

•   meta_yml_has_license

•   has_known_license_in_source_file

•   has_license_in_source_file

•   has_human_readable_license

•   has_separate_license_file

  License information
Places where the license information is taken from:

Has a LICENSE file file_license 1|0

Content of LICENSE file matches License X from Software::License

License in META.yml

License in META.yml matches one of the known licenses

License in source files recognized by Software::LicenseUtils For each file keep where is was it recognized.

Has license or copyright entry in pod (that might not be recognized by Software::LicenseUtils)

# has_license

SEE ALSO
Module::CPANTS::Analyse

AUTHOR
Thomas Klausner <https://metacpan.org/author/domm> and Gábor Szabó <https://metacpan.org/author/szabgab>

COPYRIGHT AND LICENSE
Copyright © 2003–2009 Thomas Klausner <https://metacpan.org/author/domm>

Copyright © 2006–2008 Gábor Szabó <https://metacpan.org/author/szabgab>

You may use and distribute this module according to the same terms that Perl is distributed under.